Package com.macrofocus.high_d.mds

# Class AbstractMDSModel

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<Integer,String,Number>
com.macrofocus.molap.dataframe.matrix.AbstractMatrix<Integer,String>
com.macrofocus.high_d.mds.AbstractMDSModel

All Implemented Interfaces:
  `MDSModel`, `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`, `com.macrofocus.molap.dataframe.matrix.Matrix<Integer,String>`

Direct Known Subclasses:
  `SimplePCAModel`, `SimpleSammonModel`, `SimpleSpringModel`, `SimpleTSNEModel`

public abstract class AbstractMDSModel extends com.macrofocus.molap.dataframe.matrix.AbstractMatrix<Integer,String> implements MDSModel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMDSModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumnCount()`
  `Object`
  `getColumnName(int column)`
  `double`
  `getDouble(Integer row, String column)`
  `boolean`
  `isAvailable(int row)`

  ### Methods inherited from class com.macrofocus.molap.dataframe.matrix.AbstractMatrix

  `getColumnClass, getColumnVector, getRow, getRowClass, getRowVector, getValueAt, isAvailable, join, scalarDivide, scalarMult, scalarPlus`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.molap.dataframe.DataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnIndex, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowIndex, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from interface com.macrofocus.high_d.mds.MDSModel

  `getRowCount, getX, getY`

- ## Constructor Details

  - ### AbstractMDSModel

    public AbstractMDSModel()

- ## Method Details

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`
    Specified by:
      `getColumnCount` in interface `MDSModel`
    Overrides:
      `getColumnCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<Integer,String,Number>`

  - ### getDouble

    public double getDouble(Integer row, String column)
    Specified by:
      `getDouble` in interface `com.macrofocus.molap.dataframe.matrix.Matrix<Integer,String>`

  - ### getColumnName

    public Object getColumnName(int column)

  - ### isAvailable

    public boolean isAvailable(int row)
    Specified by:
      `isAvailable` in interface `MDSModel`